Repository bindings
Post githubv1bindings commits
cURL
curl --request POST \
--url https://api.atlan.com/github/v1/bindings/{binding_id}/commits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"branch": "<string>",
"files": [
{
"content": "<string>",
"path": "<string>",
"expected_sha": "<string>"
}
],
"message": "<string>",
"workspace_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
branch: '<string>',
files: [{content: '<string>', path: '<string>', expected_sha: '<string>'}],
message: '<string>',
workspace_id: '<string>'
})
};
fetch('https://api.atlan.com/github/v1/bindings/{binding_id}/commits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/github/v1/bindings/{binding_id}/commits"
payload = {
"branch": "<string>",
"files": [
{
"content": "<string>",
"path": "<string>",
"expected_sha": "<string>"
}
],
"message": "<string>",
"workspace_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"branch": "<string>",
"is_new_branch": true,
"parent_sha": "<string>",
"sha": "<string>"
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>",
"allowed_values": [
"<string>"
],
"field": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "app_permission_required",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "github_refused",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>",
"allowed_values": [
"<string>"
],
"field": "<string>"
}{
"code": "rate_limited",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Body
application/json
⌘I
cURL
curl --request POST \
--url https://api.atlan.com/github/v1/bindings/{binding_id}/commits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"branch": "<string>",
"files": [
{
"content": "<string>",
"path": "<string>",
"expected_sha": "<string>"
}
],
"message": "<string>",
"workspace_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
branch: '<string>',
files: [{content: '<string>', path: '<string>', expected_sha: '<string>'}],
message: '<string>',
workspace_id: '<string>'
})
};
fetch('https://api.atlan.com/github/v1/bindings/{binding_id}/commits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/github/v1/bindings/{binding_id}/commits"
payload = {
"branch": "<string>",
"files": [
{
"content": "<string>",
"path": "<string>",
"expected_sha": "<string>"
}
],
"message": "<string>",
"workspace_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"branch": "<string>",
"is_new_branch": true,
"parent_sha": "<string>",
"sha": "<string>"
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>",
"allowed_values": [
"<string>"
],
"field": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "app_permission_required",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "github_refused",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>",
"allowed_values": [
"<string>"
],
"field": "<string>"
}{
"code": "rate_limited",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}